import request from '@/utils/request'

//车辆列表
export function vehicleList(data) {
    return request({
      url: '/vehicle/list',
      method: 'post',
      data
    })
}
//车辆车型司机手动同步
export function vehicleSync(data) {
    return request({
      url: '/vehicle/sync',
      method: 'get',
      params:data
    })
}
//车型列表
export function modelList(data) {
    return request({
      url: '/model/list',
      method: 'post',
      data
    })
}
//司机管理
export function driverList(data) {
    return request({
      url: '/driver/list',
      method: 'post',
      data
    })
}
//添加车辆
export function SaveVehicle(data) {
  return request({
    url: '/vehicle/save',
    method: 'post',
    data
  })
}
//修改车辆
export function EditVehicle(data) {
  return request({
    url: '/vehicle/edit',
    method: 'post',
    data
  })
}
//删除车辆
export function DeleteVehicle(data) {
  return request({
    url: '/vehicle/del',
    method: 'post',
    data
  })
}
//同步云端
export function getCarSync() {
  return request({
    url: '/vehicle/sync',
    method: 'post',
  })
}